%define pkgname feedparser
%define version 5.1.2

Summary:	Parse RSS and Atom feeds in Python
Name:		python-feedparser
Version:	%{version}
Release:	%mkrel 3
Source0:	http://feedparser.googlecode.com/files/%{pkgname}-%{version}.tar.gz
License:	BSD
URL:		http://feedparser.googlecode.com/
Group:		Development/Python
Requires:	python
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildArch:	noarch

%description
Feedparser is the "Universal Feed Parser" library for python, which
handles RSS 0.9x, RSS 1.0, RSS 2.0, CDF, Atom 0.3, and Atom 1.0 feeds

%prep
%setup -q -n %{pkgname}-%{version}
find -type f -exec sed -i 's/\r//' {} ';'
find -type f -exec chmod 0644 {} ';'

%build
CFLAGS="%{optflags}" python setup.py build

%install
rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= python setup.py install \
	--root=%{buildroot} \

%check
pushd feedparser
python feedparsertest.py || :
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README NEWS
%{python_sitelib}/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 5.1.2-3.mga3
+ Revision: 378833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 27 2012 philippem <philippem> 5.1.2-2.mga3
+ Revision: 264475
- correct files mode

* Tue Jun 12 2012 solbu <solbu> 5.1.2-1.mga3
+ Revision: 259940
- Fix BuildRequires
- Drop useless README
- Fix url

  + shlomif <shlomif>
    - New version - 5.1.2 - tests are failing

* Thu Nov 17 2011 philippem <philippem> 5.0.1-2.mga2
+ Revision: 168375
- correct files mode

* Mon May 09 2011 philippem <philippem> 5.0.1-1.mga1
+ Revision: 96616
- 5.0.1 (fixes CVE-2009-5065, CVE-2011-1156, CVE-2011-1157, CVE-2011-1158)

* Thu Feb 17 2011 wally <wally> 5.0-1.mga1
+ Revision: 53282
- enable check
- fix file list
- new version 5.0
- drop buildroot definition
- clean .spec a bit
- imported package python-feedparser

